> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delaphonegh.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Data Bundles

> Retrieve a list of available data bundles for a specified network.



## OpenAPI

````yaml GET /v1/list-bundles
openapi: 3.0.1
info:
  title: Delaphone CPaaS API
  description: APIs for sending SMS, purchasing data bundles, and buying airtime.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.delaphonegh.com
security:
  - bearerAuth: []
paths:
  /v1/list-bundles:
    get:
      description: Retrieve a list of available data bundles for a specified network.
      parameters:
        - name: network
          in: query
          description: Network for which to list data bundles.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of available data bundles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataBundlesList'
        '400':
          description: Invalid network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DataBundlesList:
      type: object
      properties:
        category:
          type: array
          items:
            type: object
            properties:
              bundle_id:
                description: ID of the data bundle
                type: string
              name:
                description: Name of the data bundle
                type: string
              price:
                description: Price of the data bundle
                type: string
              data_amount:
                description: Amount of data in the bundle
                type: string
              validity:
                description: Validity period of the data bundle
                type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
            title:
              type: string
              example: Invalid Request Value
            detail:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````